uniform highp mat4 ortho;
attribute highp vec2 position;
attribute highp vec2 texcoord;
varying highp vec2 vartexcoord;

void main(void)
{
    gl_Position = vec4(position, 1.0, 1.0);
    highp vec4 temp = ortho * vec4(texcoord, 0.0, 1.0);
    vartexcoord = temp.xy * vec2(0.5, 0.5) + vec2(0.5, 0.5);
}
