uniform lowp mat4 ortho;
uniform lowp vec3 colormax;
attribute lowp vec2 position;
attribute lowp vec3 color;
attribute lowp vec2 texcoord;
varying lowp vec3 varcolor;
varying lowp vec2 vartexcoord;

void main(void)
{
    gl_Position = ortho * vec4(position, 0.0, 1.0);
    varcolor = color / colormax;
    vartexcoord = texcoord;
}
