import QtQuick 2.6
import QtQuick.Controls 2.0
import thinclient 1.3

ApplicationWindow {
    visible: true
    visibility: "Maximized"
    id: window

    header: TabBar {
        id: tab
        width: parent.width
        TabButton {
            text: qsTr("Open connection")
            onClicked: vnc.open()
        }
        TabButton {
            text: qsTr("Terminate connection")
            onClicked: vnc.terminate()
        }
        TabButton {
            text: qsTr("Quit application")
        }
    }

    QVnc {
        id: vnc
        host: "vm.ik.bme.hu"
        port: 10495
        width: window.width
        height: window.height - tab.height
    }
}
